
From: Andrew Morton <akpm@osdl.org>

Work around gcc-2.95.x macro expansion bug

Cc: Uli Luckas <luckas@musoft.de>
Cc: Mac Michaels <wmichaels1@earthlink.net>
Cc: Michael Krufky <mkrufky@m1k.net>
Cc: Hermann Pitton <hermann.pitton@onlinehome.de>
Cc: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/media/tuner.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/media/tuner.h~v4l-common-part-updates-and-tuner-additions-gcc-29x-fix include/media/tuner.h
--- devel/include/media/tuner.h~v4l-common-part-updates-and-tuner-additions-gcc-29x-fix	2005-09-06 23:57:11.000000000 -0700
+++ devel-akpm/include/media/tuner.h	2005-09-06 23:57:11.000000000 -0700
@@ -210,14 +210,14 @@ extern int tea5767_autodetection(struct 
 
 #define tuner_warn(fmt, arg...) do {\
 	printk(KERN_WARNING "%s %d-%04x: " fmt, t->i2c.driver->name, \
-                        t->i2c.adapter->nr, t->i2c.addr, ## arg); } while (0)
+                        t->i2c.adapter->nr, t->i2c.addr , ##arg); } while (0)
 #define tuner_info(fmt, arg...) do {\
 	printk(KERN_INFO "%s %d-%04x: " fmt, t->i2c.driver->name, \
-                        t->i2c.adapter->nr, t->i2c.addr, ## arg); } while (0)
+                        t->i2c.adapter->nr, t->i2c.addr , ##arg); } while (0)
 #define tuner_dbg(fmt, arg...) do {\
 	if (tuner_debug) \
                 printk(KERN_DEBUG "%s %d-%04x: " fmt, t->i2c.driver->name, \
-                        t->i2c.adapter->nr, t->i2c.addr, ## arg); } while (0)
+                        t->i2c.adapter->nr, t->i2c.addr , ##arg); } while (0)
 
 #endif /* __KERNEL__ */
 
_
